org.apache.ignite.internal.processors.cache.persistence.wal

## Class SegmentedRingByteBuffer.WriteSegment

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.SegmentedRingByteBuffer.WriteSegment

Enclosing class:
  SegmentedRingByteBuffer

    public class SegmentedRingByteBuffer.WriteSegment
    extends Object

Segment available for data writing.

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `buffer()` Returns byte buffer.
`void` `release()` Releases segment.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### buffer

    public ByteBuffer buffer()

Returns byte buffer.

Returns:
  Byte buffer.

#### release

    public void release()

Releases segment.

#### toString

    public String toString()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021